| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
Digikam::AdvancedRenameListItem Class Reference
Inheritance diagram for Digikam::AdvancedRenameListItem:

## Public Types
enum | Column { OldName = 0 , NewName }

## Public Member Functions
| AdvancedRenameListItem (QTreeWidget *const view)
| AdvancedRenameListItem (QTreeWidget *const view, const QUrl &info)
QUrl | imageUrl () const
bool | isNameEqual () const
void | markInvalid (bool invalid)
QString | name () const
QString | newName () const
void | setImageUrl (const QUrl &url)
void | setName (const QString &name)
void | setNewName (const QString &name)